cast.h File Reference
`#include "seckey.h"`
`#include "secblock.h"`

Go to the source code of this file.

## Classes

class | CAST
struct | CAST128_Info
| algorithm info More...
class | CAST128
| CAST-128 More...
struct | CAST256_Info
| algorithm info More...
class | CAST256
| CAST-256 More...

## Typedefs

typedef CAST128::Encryption | CAST128Encryption
typedef CAST128::Decryption | CAST128Decryption
typedef CAST256::Encryption | CAST256Encryption
typedef CAST256::Decryption | CAST256Decryption